#include <QApplication>
#include <QMessageLogger>
#include <QtDebug>
#include <QtGlobal>

#include "log_to_file.hpp"
#include "log_tr.hpp"
#include "main_window.hpp"

int main(int argc, char* argv[])
{
    qInstallMessageHandler(logToFile);

    QApplication application(argc, argv);

    qInfo(ltr("")); // New line for better visibility between runs
    qDebug(ltr("Starting application"));

    MainWindow mainWindow;
    return application.exec();
}
